## passwdqc 1.2.0

=== passwdqc/Makefile ===
#
# Copyright (c) 2000-2003,2005,2009 by Solar Designer
# Copyright (c) 2008,2009 by Dmitry V. Levin
# See LICENSE
#

TITLE = pam_passwdqc
SHARED_LIB = libpasswdqc.so.0
DEVEL_LIB = libpasswdqc.so
MAP_LIB = libpasswdqc.map
PAM_SO_SUFFIX =
SHARED_PAM = $(TITLE).so$(PAM_SO_SUFFIX)
MAP_PAM = pam_passwdqc.map
SHLIBMODE = 755
HEADER = passwdqc.h
INCMODE = 644
MAN1 = pwqgen.1 pwqcheck.1
MAN5 = passwdqc.conf.5
MAN8 = $(TITLE).8
MANMODE = 644
BINDIR = /usr/bin
BINMODE = 755
CONFDIR = /etc
CONFMODE = 644
SHARED_LIBDIR = /lib
SHARED_LIBDIR_REL = ../..$(SHARED_LIBDIR)
DEVEL_LIBDIR = /usr/lib
SECUREDIR = /lib/security
INCLUDEDIR = /usr/include
MANDIR = /usr/share/man
DESTDIR =

CC = gcc
LD = $(CC)
LD_lib = $(LD)
RM = rm -f
LN_s = ln -s -f
MKDIR = umask 022 && mkdir -p
INSTALL = install -c
CFLAGS = -Wall -O2
CFLAGS_lib = $(CFLAGS) -fPIC
CFLAGS_bin = $(CFLAGS) -fomit-frame-pointer

LDFLAGS =
LDFLAGS_shared = --shared
LDFLAGS_shared_LINUX = --shared
LDFLAGS_shared_SUN = -G
LDFLAGS_shared_HP = -b
LDFLAGS_lib = $(LDFLAGS_shared)
LDFLAGS_lib_LINUX = $(LDFLAGS_shared_LINUX) \
	-Wl,--soname,$(SHARED_LIB),--version-script,$(MAP_LIB)
LDFLAGS_lib_SUN = $(LDFLAGS_shared_SUN)
LDFLAGS_lib_HP = $(LDFLAGS_shared_HP)
LDFLAGS_pam = $(LDFLAGS_shared)
LDFLAGS_pam_LINUX = $(LDFLAGS_shared_LINUX) \
	-Wl,--version-script,$(MAP_PAM)
LDFLAGS_pam_SUN = $(LDFLAGS_shared_SUN)
LDFLAGS_pam_HP = $(LDFLAGS_shared_HP)

LDLIBS_lib =
LDLIBS_pam = -lpam -lcrypt
LDLIBS_pam_LINUX = -lpam -lcrypt
LDLIBS_pam_SUN = -lpam -lcrypt
LDLIBS_pam_HP = -lpam -lsec

# Uncomment this to use cc instead of gcc
#CC = cc
# Uncomment this to use Sun's C compiler flags
#CFLAGS = -xO2
#CFLAGS_lib = $(CFLAGS) -KPIC
#CFLAGS_bin = $(CFLAGS)
# Uncomment this to use HP's ANSI C compiler flags
#CFLAGS = -Ae +w1 +W 474,486,542 +O2
#CFLAGS_lib = $(CFLAGS) +z
#CFLAGS_bin = $(CFLAGS)

CONFIGS = passwdqc.conf
BINS = pwqgen pwqcheck
PROJ = $(SHARED_LIB) $(DEVEL_LIB) $(SHARED_PAM) $(BINS)
OBJS_LIB = concat.o passwdqc_check.o passwdqc_load.o passwdqc_parse.o passwdqc_random.o wordset_4k.o
OBJS_PAM = pam_passwdqc.o
OBJS_GEN = pwqgen.o
OBJS_CHECK = pwqcheck.o

all:

all pam utils:
	case "`uname -s`" in \
	Linux)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) -DHAVE_SHADOW" \
			LDFLAGS_lib="$(LDFLAGS_lib_LINUX)" \
			LDFLAGS_pam="$(LDFLAGS_pam_LINUX)" \
			LDLIBS_pam="$(LDLIBS_pam_LINUX)" \
			$@_wrapped;; \
	SunOS)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) -DHAVE_SHADOW" \
			LD_lib=ld \
			LDFLAGS_lib="$(LDFLAGS_lib_SUN)" \
			LDFLAGS_pam="$(LDFLAGS_pam_SUN)" \
			LDLIBS_pam="$(LDLIBS_pam_SUN)" \
			$@_wrapped;; \
	HP-UX)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) -DHAVE_SHADOW" \
			LD_lib=ld \
			LDFLAGS_lib="$(LDFLAGS_lib_HP)" \
			LDFLAGS_pam="$(LDFLAGS_pam_HP)" \
			LDLIBS_pam="$(LDLIBS_pam_HP)" \
			$@_wrapped;; \
	*)	$(MAKE) $@_wrapped;; \
	esac

all_wrapped: pam_wrapped utils_wrapped

pam_wrapped: $(SHARED_PAM)

utils_wrapped: $(BINS)

$(SHARED_LIB): $(OBJS_LIB) $(MAP_LIB)
	$(LD_lib) $(LDFLAGS_lib) $(OBJS_LIB) $(LDLIBS_lib) -o $(SHARED_LIB)

$(DEVEL_LIB): $(SHARED_LIB)
	$(LN_s) $(SHARED_LIB) $(DEVEL_LIB)

$(SHARED_PAM): $(OBJS_PAM) $(MAP_PAM) $(DEVEL_LIB)
	$(LD_lib) $(LDFLAGS_pam) $(OBJS_PAM) $(LDLIBS_pam) -L. -lpasswdqc -o $(SHARED_PAM)

pwqgen: $(OBJS_GEN) $(DEVEL_LIB)
	$(LD) $(LDFLAGS) $(OBJS_GEN) -L. -lpasswdqc -o $@

pwqcheck: $(OBJS_CHECK) $(DEVEL_LIB)
	$(LD) $(LDFLAGS) $(OBJS_CHECK) -L. -lpasswdqc -o $@

pwqgen.o: pwqgen.c passwdqc.h
	$(CC) $(CFLAGS_bin) -c $*.c

pwqcheck.o: pwqcheck.c passwdqc.h
	$(CC) $(CFLAGS_bin) -c $*.c

.c.o:
	$(CC) $(CFLAGS_lib) -c $*.c

concat.o: concat.h
pam_passwdqc.o: passwdqc.h pam_macros.h
passwdqc_check.o: passwdqc.h wordset_4k.h
passwdqc_load.o: passwdqc.h concat.h
passwdqc_parse.o: passwdqc.h concat.h
passwdqc_random.o: passwdqc.h wordset_4k.h
wordset_4k.o: wordset_4k.h

install: install_lib install_utils install_pam
	@echo 'Consider running ldconfig(8) to update the dynamic linker cache.'

install_lib:
	$(MKDIR) $(DESTDIR)$(CONFDIR)
	$(INSTALL) -m $(CONFMODE) $(CONFIGS) $(DESTDIR)$(CONFDIR)/

	$(MKDIR) $(DESTDIR)$(SHARED_LIBDIR)
	$(INSTALL) -m $(SHLIBMODE) $(SHARED_LIB) $(DESTDIR)$(SHARED_LIBDIR)/

	$(MKDIR) $(DESTDIR)$(DEVEL_LIBDIR)
	$(LN_s) $(SHARED_LIBDIR_REL)/$(SHARED_LIB) \
		$(DESTDIR)$(DEVEL_LIBDIR)/$(DEVEL_LIB)

	$(MKDIR) $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL) -m $(INCMODE) $(HEADER) $(DESTDIR)$(INCLUDEDIR)/

	$(MKDIR) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL) -m $(MANMODE) $(MAN5) $(DESTDIR)$(MANDIR)/man5/

install_utils:
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(INSTALL) -m $(BINMODE) $(BINS) $(DESTDIR)$(BINDIR)/

	$(MKDIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -m $(MANMODE) $(MAN1) $(DESTDIR)$(MANDIR)/man1/

install_pam:
	$(MKDIR) $(DESTDIR)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(SHARED_PAM) $(DESTDIR)$(SECUREDIR)/

	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m $(MANMODE) $(MAN8) $(DESTDIR)$(MANDIR)/man8/

remove: remove_pam remove_utils remove_lib

remove_pam:
	$(RM) $(DESTDIR)$(MANDIR)/man8/$(MAN8)
	$(RM) $(DESTDIR)$(SECUREDIR)/$(SHARED_PAM)

remove_utils:
	for f in $(MAN1); do $(RM) $(DESTDIR)$(MANDIR)/man1/$$f; done
	for f in $(BINS); do $(RM) $(DESTDIR)$(BINDIR)/$$f; done

remove_lib:
	for f in $(MAN5); do $(RM) $(DESTDIR)$(MANDIR)/man5/$$f; done
	for f in $(HEADER); do $(RM) $(DESTDIR)$(INCLUDEDIR)/$$f; done
	for f in $(DEVEL_LIB); do $(RM) $(DESTDIR)$(DEVEL_LIBDIR)/$$f; done
	for f in $(SHARED_LIB); do $(RM) $(DESTDIR)$(SHARED_LIBDIR)/$$f; done
	for f in $(CONFIGS); do $(RM) $(DESTDIR)$(CONFDIR)/$$f; done

clean:
	$(RM) $(PROJ) *.o

.PHONY: all all_wrapped clean install install_lib install_pam install_utils \
	pam pam_wrapped remove remove_lib remove_pam remove_utils \
	utils utils_wrapped

## passwdqc 1.1.4

=== debian/changelog ===
passwdqc (1.1.4-1) unstable; urgency=low

  * Source package name change to follow upstream.
  * New upstream release (closes: #310595).

 -- martin f. krafft <madduck@debian.org>  Thu, 28 Jan 2010 14:20:11 +1300

pam-passwdqc (1.0.5-1) unstable; urgency=low

  * New upstream release (closes: #354534).
  * Take over maintenance of this package (closes: #520815).
  * Switch to dpkgv3 source format.
  * Integrate with pam-auth-update (closes: #517967).
  * Switch to using DH7 for packaging (closes: #437734).
  * Add Vcs-* links to metadata.
  * Add Homepage link to metadata.
  * Bump Standards-Version to 3.8.3 without having to make changes.
  * Use TopGit+quilt for packaging.

 -- martin f. krafft <madduck@debian.org>  Thu, 28 Jan 2010 09:47:03 +1300

pam-passwdqc (0.7.5-1) unstable; urgency=low

  * New upstream release (closes: #286113)

 -- Tollef Fog Heen <tfheen@debian.org>  Sat,  1 Jan 2005 21:55:00 +0100

pam-passwdqc (0.7-5) unstable; urgency=low

  * Link using gcc instead of ld (closes: #164319)

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 17 Oct 2002 04:23:13 +0200

pam-passwdqc (0.7-4) unstable; urgency=low

  * Rename binary-dep to binary-arch.  Silly typo.  (closes: #164711)

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 16 Oct 2002 01:32:03 +0200

pam-passwdqc (0.7-3) unstable; urgency=low

  * Retry upload, this time with full source.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed,  2 Oct 2002 08:02:25 +0200

pam-passwdqc (0.7-2) unstable; urgency=low

  * Included full copyright in copyright file.

 -- Tollef Fog Heen <tfheen@debian.org>  Tue,  1 Oct 2002 10:37:30 +0200

pam-passwdqc (0.7-1) unstable; urgency=low

  * Initial packaging for Debian (closes: #138631)
  
 -- Tollef Fog Heen <tfheen@debian.org>  Tue, 24 Sep 2002 17:15:33 +0200

=== debian/control ===
Source: passwdqc
Maintainer: martin f. krafft <madduck@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7), libpam-dev
Vcs-Git: git://git.debian.org/collab-maint/passwdqc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/passwdqc.git
Homepage: http://www.openwall.com/passwdqc/

Package: passwdqc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement toolset
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc0).
 .
 This package provides pwqcheck and pwqgen, which are standalone
 password/passphrase strength checking and random passphrase generator
 programs, respectively, which are usable from scripts.

Package: libpasswdqc0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement library
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc0).
 .
 This package provides the underlying library which exports all the
 functionality.

Package: libpasswdqc-dev
Section: libdevel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libpasswdqc0 (>= ${binary:Version}), libpasswdqc0 (<< ${source:Upstream-Version}.1~),
Description: password strength checking and policy enforcement library (C development files)
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc0).
 .
 This package provides the development libraries and header files required to
 build tools using the libpasswdqc library.

Package: libpam-passwdqc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-6)
Description: PAM module for password strength policy enforcement
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc0).
 .
 pam_passwdqc (optionally) integrates with PAM such that it gets invoked when
 users change their passwords. The module is capable of checking password or
 passphrase strength, enforcing a policy, and offering randomly-generated
 passphrases, with all of these features being optional and easily
 (re-)configurable.

## passwdqc 1.2.0

=== debian/changelog ===
passwdqc (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Add snapshot of upstream's considerations of the default password strength
    policy to /usr/share/doc/libpam-passwdqc/password-strength.txt.
  * Bump Standards-Version to 3.8.4; no changes required.

 -- martin f. krafft <madduck@debian.org>  Tue, 16 Mar 2010 15:06:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: martin f. krafft <madduck@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Build-Depends: debhelper (>= 7), libpam-dev
 Vcs-Git: git://git.debian.org/collab-maint/passwdqc.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/passwdqc.git

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.·
#export DH_VERBOSE=1

-include /usr/share/topgit/tg2quilt.mk

%:
	dh --sourcedirectory=passwdqc $@

## passwdqc 1.3.0

=== debian/changelog ===
passwdqc (1.3.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:38:36 +0000

passwdqc (1.3.0-1) unstable; urgency=low

  * Set myself as maintainer. closes: #719106
  * Update debian/watch.
  * New upstream release. 
  * Update to standards version 3.9.4. closes: #676290
  * Generate symbols

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 10 Aug 2013 07:34:51 +1000

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1 -Wl,-z,relro
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://www.openwall.com/passwdqc/ (?:.*/)?passwdqc[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## passwdqc 1.4.0

=== Makefile ===
#
# Copyright (c) 2000-2003,2005,2009,2010 by Solar Designer
# Copyright (c) 2008,2009,2017 by Dmitry V. Levin
# Copyright (c) 2017 by Oleg Solovyov
# See LICENSE
#

PACKAGE = passwdqc
TITLE = pam_passwdqc
SHARED_LIB = libpasswdqc.so.0
DEVEL_LIB = libpasswdqc.so
SHARED_LIB_DARWIN = libpasswdqc.0.dylib
DEVEL_LIB_DARWIN = libpasswdqc.dylib
MAP_LIB = libpasswdqc.map
PAM_SO_SUFFIX =
SHARED_PAM = $(TITLE).so$(PAM_SO_SUFFIX)
MAP_PAM = pam_passwdqc.map
SHLIBMODE = 755
HEADER = passwdqc.h
INCMODE = 644
MAN1 = pwqgen.1 pwqcheck.1
MAN5 = passwdqc.conf.5
MAN8 = $(TITLE).8
MANMODE = 644
BINDIR = /usr/bin
BINMODE = 755
CONFDIR = /etc
CONFMODE = 644
SHARED_LIBDIR = /lib
SHARED_LIBDIR_SUN = /usr/lib
SHARED_LIBDIR_REL = ../..$(SHARED_LIBDIR)
DEVEL_LIBDIR = /usr/lib
SECUREDIR = /lib/security
SECUREDIR_SUN = /usr/lib/security
SECUREDIR_DARWIN = /usr/lib/pam
INCLUDEDIR = /usr/include
MANDIR = /usr/share/man
DESTDIR =
LOCALEDIR = /usr/share/locale
LOCALEMODE = 644

LANGUAGES = ru

CC = gcc
LD = $(CC)
LD_lib = $(LD)
RM = rm -f
LN_s = ln -s -f
MKDIR = umask 022 && mkdir -p
INSTALL = install -c
# We support Sun's older /usr/ucb/install, but not the newer /usr/sbin/install.
INSTALL_SUN = /usr/ucb/install -c
CFLAGS = -Wall -W -O2
CFLAGS_lib = $(CFLAGS) -fPIC
CFLAGS_bin = $(CFLAGS) -fomit-frame-pointer
CPPFLAGS = -DPACKAGE=\\\"$(PACKAGE)\\\"
MSGFMT = msgfmt
XGETTEXT = xgettext
XGETTEXT_OPTS = --keyword=_ --keyword=P2_:1,1 --keyword=P3_:1,2 --language=C --add-comments
MSGMERGE = msgmerge

LDFLAGS =
LDFLAGS_shared = --shared
LDFLAGS_shared_LINUX = --shared
LDFLAGS_shared_SUN = -G
LDFLAGS_shared_HP = -b
LDFLAGS_lib = $(LDFLAGS_shared)
LDFLAGS_lib_LINUX = $(LDFLAGS_shared_LINUX) \
	-Wl,--soname,$(SHARED_LIB),--version-script,$(MAP_LIB)
LDFLAGS_lib_SUN = $(LDFLAGS_shared_SUN)
LDFLAGS_lib_HP = $(LDFLAGS_shared_HP)
LDFLAGS_pam = $(LDFLAGS_shared)
LDFLAGS_pam_LINUX = $(LDFLAGS_shared_LINUX) \
	-Wl,--version-script,$(MAP_PAM)
LDFLAGS_pam_SUN = $(LDFLAGS_shared_SUN)
LDFLAGS_pam_HP = $(LDFLAGS_shared_HP)

LDLIBS_lib =
LDLIBS_pam = -lpam -lcrypt
LDLIBS_pam_LINUX = -lpam -lcrypt
LDLIBS_pam_SUN = -lpam -lcrypt
LDLIBS_pam_HP = -lpam -lsec
LDLIBS_pam_DARWIN = -lpam -lSystem

# Uncomment this to use cc instead of gcc
#CC = cc
# Uncomment this to use Sun's C compiler flags
#CFLAGS = -xO2
#CFLAGS_lib = $(CFLAGS) -KPIC
#CFLAGS_bin = $(CFLAGS)
# Uncomment this to use HP's ANSI C compiler flags
#CFLAGS = -Ae +w1 +W 474,486,542 +O2
#CFLAGS_lib = $(CFLAGS) +z
#CFLAGS_bin = $(CFLAGS)

CONFIGS = passwdqc.conf
BINS = pwqgen pwqcheck
PROJ = $(SHARED_LIB) $(DEVEL_LIB) $(SHARED_PAM) $(BINS)
OBJS_LIB = concat.o passwdqc_check.o passwdqc_load.o passwdqc_memzero.o passwdqc_parse.o passwdqc_random.o wordset_4k.o
OBJS_PAM = pam_passwdqc.o passwdqc_memzero.o
OBJS_GEN = pwqgen.o passwdqc_memzero.o
OBJS_CHECK = pwqcheck.o passwdqc_memzero.o

default: all

all locales pam utils install install_lib install_locales install_pam install_utils uninstall remove remove_lib remove_locales remove_pam remove_utils:
	case "`uname -s`" in \
	Linux)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
			LDFLAGS_lib="$(LDFLAGS_lib_LINUX)" \
			LDFLAGS_pam="$(LDFLAGS_pam_LINUX)" \
			LDLIBS_pam="$(LDLIBS_pam_LINUX)" \
			$@_wrapped;; \
	SunOS)	$(MAKE) -e CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
			LD_lib=ld \
			LDFLAGS_lib="$(LDFLAGS_lib_SUN)" \
			LDFLAGS_pam="$(LDFLAGS_pam_SUN)" \
			LDLIBS_pam="$(LDLIBS_pam_SUN)" \
			INSTALL="$(INSTALL_SUN)" \
			SHARED_LIBDIR="$(SHARED_LIBDIR_SUN)" \
			SECUREDIR="$(SECUREDIR_SUN)" \
			$@_wrapped;; \
	HP-UX)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
			LD_lib=ld \
			LDFLAGS_lib="$(LDFLAGS_lib_HP)" \
			LDFLAGS_pam="$(LDFLAGS_pam_HP)" \
			LDLIBS_pam="$(LDLIBS_pam_HP)" \
			$@_wrapped;; \
	Darwin)	$(MAKE) \
			SHARED_LIB="$(SHARED_LIB_DARWIN)" \
			DEVEL_LIB="$(DEVEL_LIB_DARWIN)" \
			SECUREDIR="$(SECUREDIR_DARWIN)" \
			LDLIBS_pam="$(LDLIBS_pam_DARWIN)" \
			$@_wrapped;; \
	*)	$(MAKE) $@_wrapped;; \
	esac

all_wrapped: pam_wrapped utils_wrapped

pam_wrapped: $(SHARED_PAM)

utils_wrapped: $(BINS)

$(SHARED_LIB): $(OBJS_LIB) $(MAP_LIB)
	$(LD_lib) $(LDFLAGS_lib) $(OBJS_LIB) $(LDLIBS_lib) -o $(SHARED_LIB)

$(DEVEL_LIB): $(SHARED_LIB)
	$(LN_s) $(SHARED_LIB) $(DEVEL_LIB)

$(SHARED_PAM): $(OBJS_PAM) $(MAP_PAM) $(DEVEL_LIB)
	$(LD_lib) $(LDFLAGS_pam) $(OBJS_PAM) $(LDLIBS_pam) -L. -lpasswdqc -o $(SHARED_PAM)

pwqgen: $(OBJS_GEN) $(DEVEL_LIB)
	$(LD) $(LDFLAGS) $(OBJS_GEN) -L. -lpasswdqc -o $@

pwqcheck: $(OBJS_CHECK) $(DEVEL_LIB)
	$(LD) $(LDFLAGS) $(OBJS_CHECK) -L. -lpasswdqc -o $@

pwqgen.o: pwqgen.c passwdqc.h
	$(CC) $(CFLAGS_bin) -c $*.c

pwqcheck.o: pwqcheck.c passwdqc.h
	$(CC) $(CFLAGS_bin) -c $*.c

.c.o:
	$(CC) $(CFLAGS_lib) -c $*.c

concat.o: concat.h
pam_passwdqc.o: passwdqc.h pam_macros.h
passwdqc_check.o: passwdqc.h wordset_4k.h
passwdqc_load.o: passwdqc.h concat.h
passwdqc_parse.o: passwdqc.h concat.h
passwdqc_random.o: passwdqc.h wordset_4k.h
wordset_4k.o: wordset_4k.h

install_wrapped: install_lib_wrapped install_utils_wrapped install_pam_wrapped
	@echo 'Consider running ldconfig(8) to update the dynamic linker cache.'

install_lib_wrapped:
	$(MKDIR) $(DESTDIR)$(CONFDIR)
	$(INSTALL) -m $(CONFMODE) $(CONFIGS) $(DESTDIR)$(CONFDIR)/

	$(MKDIR) $(DESTDIR)$(SHARED_LIBDIR)
	$(INSTALL) -m $(SHLIBMODE) $(SHARED_LIB) $(DESTDIR)$(SHARED_LIBDIR)/

	$(MKDIR) $(DESTDIR)$(DEVEL_LIBDIR)
	$(LN_s) $(SHARED_LIBDIR_REL)/$(SHARED_LIB) \
		$(DESTDIR)$(DEVEL_LIBDIR)/$(DEVEL_LIB)

	$(MKDIR) $(DESTDIR)$(INCLUDEDIR)
	$(INSTALL) -m $(INCMODE) $(HEADER) $(DESTDIR)$(INCLUDEDIR)/

	$(MKDIR) $(DESTDIR)$(MANDIR)/man5
	$(INSTALL) -m $(MANMODE) $(MAN5) $(DESTDIR)$(MANDIR)/man5/

install_utils_wrapped:
	$(MKDIR) $(DESTDIR)$(BINDIR)
	$(INSTALL) -m $(BINMODE) $(BINS) $(DESTDIR)$(BINDIR)/

	$(MKDIR) $(DESTDIR)$(MANDIR)/man1
	$(INSTALL) -m $(MANMODE) $(MAN1) $(DESTDIR)$(MANDIR)/man1/

install_pam_wrapped:
	$(MKDIR) $(DESTDIR)$(SECUREDIR)
	$(INSTALL) -m $(SHLIBMODE) $(SHARED_PAM) $(DESTDIR)$(SECUREDIR)/

	$(MKDIR) $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -m $(MANMODE) $(MAN8) $(DESTDIR)$(MANDIR)/man8/

POFILES = $(LANGUAGES:%=po/%.po)
MOFILES = $(LANGUAGES:%=po/%.mo)
POTFILE_DEPS = pam_passwdqc.c passwdqc_check.c
POTFILE = po/$(PACKAGE).pot

$(POTFILE): $(POTFILE_DEPS)
	$(XGETTEXT) $(XGETTEXT_OPTS) -o $@-t $^ && mv $@-t $@

$(POFILES): $(POTFILE)
	$(MSGMERGE) -U $@ $<

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -c -o $@-t $< && mv $@-t $@

update_pot: $(POTFILE)

update_po: $(POFILES)

update_mo: $(MOFILES)

locales_wrapped: update_mo

install_locales_wrapped:
	for lang in $(LANGUAGES); do \
		$(MKDIR) $(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES && \
		$(INSTALL) -m $(LOCALEMODE) po/$$lang.mo \
			$(DESTDIR)$(LOCALEDIR)/$$lang/LC_MESSAGES/$(PACKAGE).mo || exit; \
	done

uninstall_wrapped remove_wrapped: remove_pam_wrapped remove_utils_wrapped remove_lib_wrapped remove_locales_wrapped

remove_pam_wrapped:
	$(RM) $(DESTDIR)$(MANDIR)/man8/$(MAN8)
	$(RM) $(DESTDIR)$(SECUREDIR)/$(SHARED_PAM)

remove_utils_wrapped:
	for f in $(MAN1); do $(RM) $(DESTDIR)$(MANDIR)/man1/$$f; done
	for f in $(BINS); do $(RM) $(DESTDIR)$(BINDIR)/$$f; done

remove_lib_wrapped:
	for f in $(MAN5); do $(RM) $(DESTDIR)$(MANDIR)/man5/$$f; done
	for f in $(HEADER); do $(RM) $(DESTDIR)$(INCLUDEDIR)/$$f; done
	for f in $(DEVEL_LIB); do $(RM) $(DESTDIR)$(DEVEL_LIBDIR)/$$f; done
	for f in $(SHARED_LIB); do $(RM) $(DESTDIR)$(SHARED_LIBDIR)/$$f; done
	for f in $(CONFIGS); do $(RM) $(DESTDIR)$(CONFDIR)/$$f; done

remove_locales_wrapped:
	for f in $(LANGUAGES); do $(RM) $(DESTDIR)$(LOCALEDIR)/$$f/LC_MESSAGES/$(PACKAGE).mo; done

clean:
	$(RM) $(PROJ) $(MOFILES) *.o

.PHONY: all all_wrapped clean install install_lib install_locales install_pam install_utils \
	pam pam_wrapped uninstall remove remove_lib remove_pam remove_utils \
	utils utils_wrapped \
	update_mo update_po update_pot \
	locales locales_wrapped \
	install_wrapped install_lib_wrapped install_locales_wrapped install_pam_wrapped \
	install_utils_wrapped \
	remove_wrapped remove_lib_wrapped remove_locales_wrapped remove_pam_wrapped \
	remove_utils_wrapped

=== debian/changelog ===
passwdqc (1.4.0-1) unstable; urgency=medium

  * Salvage package into Security Tools team. (Closes: #952662)
  * Remove trailing whitespace.
  * New upstream version 1.4.0.
    - Drop patches applied upstream.
    - With "non-unix", initialize the pw_dir field in fake_pw now that (since
      passwdqc 1.1.3 in 2009) passwdqc_check.c uses that field.
      Closes: #831356
    - Clarified in the man pages that /etc/passwdqc.conf is not read unless
      this suggested file location is specified with the config= option.
      Closes: #774990
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/control:
    - Mark libpasswdqc-dev Architecture: any.
    - Mark library packages Multi-Arch: same
    - Add Samuel Henrique and myself to uploaders.
    - Tighten libpasswdqc-dev's dependency on libpasswdqc0.
    - Add Vcs-* fields.
    - R³: no.
  * d/control, d/copyright, d/watch: Use https where possible.
  * d/copyright: Correct a couple license names.
  * d/lib*.install: Update for multiarch locations.
  * d/libpam-passwdqc.dirs, d/README.source: Drop.
  * d/rules:
    - Remove DH_OPTIONS export.
    - Trim DEB_LDFLAGS_MAINT_APPEND to '-Wl,--as-needed'
    - Include /usr/share/dpkg/default.mk
    - Pack CFLAGS, CPPFLAGS and LDFLAGS into dh_auto_build. (Closes: #724278)
    - Pack install directories into dh_auto_install.
  * Include password-strength.txt in debian/ rather than patching it in.
  * Update Standards-Version to 4.5.0.

  [ Samuel Henrique ]
  * Add gbp.conf

 -- Unit 193 <unit193@ubuntu.com>  Sun, 29 Mar 2020 18:19:10 -0400

=== debian/control ===
Source: passwdqc
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>,
           Unit 193 <unit193@ubuntu.com>
Build-Depends: debhelper-compat (= 12), libpam-dev
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://www.openwall.com/passwdqc/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/passwdqc
Vcs-Git: https://salsa.debian.org/pkg-security-team/passwdqc.git

Package: passwdqc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement toolset
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc0).
 .
 This package provides pwqcheck and pwqgen, which are standalone
 password/passphrase strength checking and random passphrase generator
 programs, respectively, which are usable from scripts.

Package: libpasswdqc0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement library
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc0).
 .
 This package provides the underlying library which exports all the
 functionality.

Package: libpasswdqc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpasswdqc0 (= ${binary:Version})
Description: password checking and policy enforcement library (devel)
 (C development files) passwdqc is a password/passphrase strength
 checking and policy enforcement toolset, including a PAM module
 (libpam-passwdqc), command-line programs (pwqcheck and pwqgen), and a
 library (libpasswdqc0).
 .
 This package provides the development libraries and header files
 required to build tools using the libpasswdqc library.

Package: libpam-passwdqc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-6)
Recommends: passwdqc
Description: PAM module for password strength policy enforcement
 passwdqc is a password/passphrase strength checking and policy
 enforcement toolset, including a PAM module (libpam-passwdqc),
 command-line programs (pwqcheck and pwqgen), and a library (libpasswdqc0).
 .
 pam_passwdqc (optionally) integrates with PAM such that it gets invoked
 when users change their passwords. The module is capable of checking
 password or passphrase strength, enforcing a policy, and offering
 randomly-generated passphrases, with all of these features being
 optional and easily (re-)configurable.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
LIBDIR = /usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="-Wall -W $(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" LDFLAGS_shared_LINUX="--shared $(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- SHARED_LIBDIR="$(LIBDIR)" SHARED_LIBDIR_REL="." DEVEL_LIBDIR="$(LIBDIR)" SECUREDIR="/lib/$(DEB_HOST_MULTIARCH)/security"

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://www.openwall.com/passwdqc/ (?:.*/)?passwdqc[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## passwdqc 2.0.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2000-2003,2005,2009,2010 by Solar Designer
+# Copyright (c) 2000-2003,2005,2009,2010,2020 by Solar Designer
 # Copyright (c) 2008,2009,2017 by Dmitry V. Levin
 # Copyright (c) 2017 by Oleg Solovyov
 # See LICENSE
@@ -7,7 +7,7 @@
 
 PACKAGE = passwdqc
 TITLE = pam_passwdqc
-SHARED_LIB = libpasswdqc.so.0
+SHARED_LIB = libpasswdqc.so.1
 DEVEL_LIB = libpasswdqc.so
 SHARED_LIB_DARWIN = libpasswdqc.0.dylib
 DEVEL_LIB_DARWIN = libpasswdqc.dylib
@@ -18,7 +18,14 @@
 SHLIBMODE = 755
 HEADER = passwdqc.h
 INCMODE = 644
-MAN1 = pwqgen.1 pwqcheck.1
+MAN1 = pwqgen.1 pwqcheck.1 pwqfilter.1
+MAN3 = libpasswdqc.3 \
+       passwdqc_params_reset.3 \
+       passwdqc_params_load.3 \
+       passwdqc_params_parse.3 \
+       passwdqc_params_free.3 \
+       passwdqc_check.3 \
+       passwdqc_random.3
 MAN5 = passwdqc.conf.5
 MAN8 = $(TITLE).8
 MANMODE = 644
@@ -53,17 +60,19 @@
 CFLAGS = -Wall -W -O2
 CFLAGS_lib = $(CFLAGS) -fPIC
 CFLAGS_bin = $(CFLAGS) -fomit-frame-pointer
-CPPFLAGS = -DPACKAGE=\\\"$(PACKAGE)\\\"
+CPPFLAGS =
+CPPFLAGS_bin = $(CPPFLAGS)
+CPPFLAGS_lib = $(CPPFLAGS) -DPACKAGE=\\\"$(PACKAGE)\\\"
 MSGFMT = msgfmt
 XGETTEXT = xgettext
 XGETTEXT_OPTS = --keyword=_ --keyword=P2_:1,1 --keyword=P3_:1,2 --language=C --add-comments
 MSGMERGE = msgmerge
 
 LDFLAGS =
-LDFLAGS_shared = --shared
-LDFLAGS_shared_LINUX = --shared
-LDFLAGS_shared_SUN = -G
-LDFLAGS_shared_HP = -b
+LDFLAGS_shared = $(LDFLAGS) --shared
+LDFLAGS_shared_LINUX = $(LDFLAGS) --shared
+LDFLAGS_shared_SUN = $(LDFLAGS) -G
+LDFLAGS_shared_HP = $(LDFLAGS) -b
 LDFLAGS_lib = $(LDFLAGS_shared)
 LDFLAGS_lib_LINUX = $(LDFLAGS_shared_LINUX) \
 	-Wl,--soname,$(SHARED_LIB),--version-script,$(MAP_LIB)
@@ -94,23 +103,24 @@
 #CFLAGS_bin = $(CFLAGS)
 
 CONFIGS = passwdqc.conf
-BINS = pwqgen pwqcheck
+BINS = pwqgen pwqcheck pwqfilter
 PROJ = $(SHARED_LIB) $(DEVEL_LIB) $(SHARED_PAM) $(BINS)
-OBJS_LIB = concat.o passwdqc_check.o passwdqc_load.o passwdqc_memzero.o passwdqc_parse.o passwdqc_random.o wordset_4k.o
+OBJS_LIB = concat.o md4.o passwdqc_check.o passwdqc_filter.o passwdqc_load.o passwdqc_memzero.o passwdqc_parse.o passwdqc_random.o wordset_4k.o
 OBJS_PAM = pam_passwdqc.o passwdqc_memzero.o
 OBJS_GEN = pwqgen.o passwdqc_memzero.o
 OBJS_CHECK = pwqcheck.o passwdqc_memzero.o
+OBJS_FILTER = pwqfilter.o md4.o
 
 default: all
 
 all locales pam utils install install_lib install_locales install_pam install_utils uninstall remove remove_lib remove_locales remove_pam remove_utils:
 	case "`uname -s`" in \
-	Linux)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
+	Linux)	$(MAKE) CPPFLAGS_lib="$(CPPFLAGS_lib) -DHAVE_SHADOW" \
 			LDFLAGS_lib="$(LDFLAGS_lib_LINUX)" \
 			LDFLAGS_pam="$(LDFLAGS_pam_LINUX)" \
 			LDLIBS_pam="$(LDLIBS_pam_LINUX)" \
 			$@_wrapped;; \
-	SunOS)	$(MAKE) -e CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
+	SunOS)	$(MAKE) -e CPPFLAGS_lib="$(CPPFLAGS_lib) -DHAVE_SHADOW" \
 			LD_lib=ld \
 			LDFLAGS_lib="$(LDFLAGS_lib_SUN)" \
 			LDFLAGS_pam="$(LDFLAGS_pam_SUN)" \
@@ -119,7 +129,7 @@
 			SHARED_LIBDIR="$(SHARED_LIBDIR_SUN)" \
 			SECUREDIR="$(SECUREDIR_SUN)" \
 			$@_wrapped;; \
-	HP-UX)	$(MAKE) CFLAGS_lib="$(CFLAGS_lib) $(CPPFLAGS) -DHAVE_SHADOW" \
+	HP-UX)	$(MAKE) CPPFLAGS_lib="$(CPPFLAGS_lib) -DHAVE_SHADOW" \
 			LD_lib=ld \
 			LDFLAGS_lib="$(LDFLAGS_lib_HP)" \
 			LDFLAGS_pam="$(LDFLAGS_pam_HP)" \
@@ -155,18 +165,25 @@
 pwqcheck: $(OBJS_CHECK) $(DEVEL_LIB)
 	$(LD) $(LDFLAGS) $(OBJS_CHECK) -L. -lpasswdqc -o $@
 
+pwqfilter: $(OBJS_FILTER)
+	$(LD) $(LDFLAGS) $(OBJS_FILTER) -o $@
+
 pwqgen.o: pwqgen.c passwdqc.h
-	$(CC) $(CFLAGS_bin) -c $*.c
+	$(CC) $(CPPFLAGS_bin) $(CFLAGS_bin) -c $*.c
 
 pwqcheck.o: pwqcheck.c passwdqc.h
-	$(CC) $(CFLAGS_bin) -c $*.c
+	$(CC) $(CPPFLAGS_bin) $(CFLAGS_bin) -c $*.c
+
+pwqfilter.o: pwqfilter.c passwdqc_filter.h passwdqc.h
+	$(CC) $(CPPFLAGS_bin) $(CFLAGS_bin) -c $*.c
 
 .c.o:
-	$(CC) $(CFLAGS_lib) -c $*.c
+	$(CC) $(CPPFLAGS_lib) $(CFLAGS_lib) -c $*.c
 
 concat.o: concat.h
 pam_passwdqc.o: passwdqc.h pam_macros.h
-passwdqc_check.o: passwdqc.h wordset_4k.h
+passwdqc_check.o: passwdqc.h passwdqc_filter.h wordset_4k.h
+passwdqc_filter.o: passwdqc.h passwdqc_filter.h
 passwdqc_load.o: passwdqc.h concat.h
 passwdqc_parse.o: passwdqc.h concat.h
 passwdqc_random.o: passwdqc.h wordset_4k.h
@@ -189,6 +206,9 @@
 	$(MKDIR) $(DESTDIR)$(INCLUDEDIR)
 	$(INSTALL) -m $(INCMODE) $(HEADER) $(DESTDIR)$(INCLUDEDIR)/
 
+	$(MKDIR) $(DESTDIR)$(MANDIR)/man3
+	$(INSTALL) -m $(MANMODE) $(MAN3) $(DESTDIR)$(MANDIR)/man3/
+
 	$(MKDIR) $(DESTDIR)$(MANDIR)/man5
 	$(INSTALL) -m $(MANMODE) $(MAN5) $(DESTDIR)$(MANDIR)/man5/
 
@@ -214,17 +234,13 @@
 $(POTFILE): $(POTFILE_DEPS)
 	$(XGETTEXT) $(XGETTEXT_OPTS) -o $@-t $^ && mv $@-t $@
 
-$(POFILES): $(POTFILE)
-	$(MSGMERGE) -U $@ $<
-
 .SUFFIXES: .po .mo
 
 .po.mo:
 	$(MSGFMT) -c -o $@-t $< && mv $@-t $@
 
-update_pot: $(POTFILE)
-
-update_po: $(POFILES)
+update_po: $(POTFILE) $(POFILES)
+	for f in $(POFILES); do $(MSGMERGE) -U $$f $< || exit; done
 
 update_mo: $(MOFILES)
 
@@ -249,6 +265,7 @@
 
 remove_lib_wrapped:
 	for f in $(MAN5); do $(RM) $(DESTDIR)$(MANDIR)/man5/$$f; done
+	for f in $(MAN3); do $(RM) $(DESTDIR)$(MANDIR)/man3/$$f; done
 	for f in $(HEADER); do $(RM) $(DESTDIR)$(INCLUDEDIR)/$$f; done
 	for f in $(DEVEL_LIB); do $(RM) $(DESTDIR)$(DEVEL_LIBDIR)/$$f; done
 	for f in $(SHARED_LIB); do $(RM) $(DESTDIR)$(SHARED_LIBDIR)/$$f; done
@@ -258,12 +275,12 @@
 	for f in $(LANGUAGES); do $(RM) $(DESTDIR)$(LOCALEDIR)/$$f/LC_MESSAGES/$(PACKAGE).mo; done
 
 clean:
-	$(RM) $(PROJ) $(MOFILES) *.o
+	$(RM) $(PROJ) $(POTFILE) $(MOFILES) *.o
 
 .PHONY: all all_wrapped clean install install_lib install_locales install_pam install_utils \
 	pam pam_wrapped uninstall remove remove_lib remove_pam remove_utils \
 	utils utils_wrapped \
-	update_mo update_po update_pot \
+	update_mo update_po \
 	locales locales_wrapped \
 	install_wrapped install_lib_wrapped install_locales_wrapped install_pam_wrapped \
 	install_utils_wrapped \

=== debian/changelog ===
passwdqc (2.0.2-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add Salsa's CI configuration file

  [ Unit 193 ]
  * d/u/signing-key.asc, d/watch: Add and check upstream's signing key.
  * New upstream version 2.0.2.
  * d/control, d/libpasswdqc0.*: Follow soname change.
  * d/control:
    - Bump DH compat to 13.
    - Update my email address.
  * d/copyright: Update years and add myself.
  * d/libpasswdqc1.symbols: Add new symbol and Build-Depends-Package field.
  * d/libpasswdqc-dev.install: Install manpages from section 3.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Wed, 11 Aug 2021 19:47:59 -0400

=== debian/control ===
Source: passwdqc
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>,
           Unit 193 <unit193@debian.org>
Build-Depends: debhelper-compat (= 13), libpam-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.openwall.com/passwdqc/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/passwdqc
Vcs-Git: https://salsa.debian.org/pkg-security-team/passwdqc.git

Package: passwdqc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement toolset
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc).
 .
 This package provides pwqcheck and pwqgen, which are standalone
 password/passphrase strength checking and random passphrase generator
 programs, respectively, which are usable from scripts.

Package: libpasswdqc1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: password strength checking and policy enforcement library
 passwdqc is a password/passphrase strength checking and policy enforcement
 toolset, including a PAM module (libpam-passwdqc), command-line programs
 (pwqcheck and pwqgen), and a library (libpasswdqc).
 .
 This package provides the underlying library which exports all the
 functionality.

Package: libpasswdqc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpasswdqc1 (= ${binary:Version})
Description: password checking and policy enforcement library (devel)
 (C development files) passwdqc is a password/passphrase strength
 checking and policy enforcement toolset, including a PAM module
 (libpam-passwdqc), command-line programs (pwqcheck and pwqgen), and a
 library (libpasswdqc).
 .
 This package provides the development libraries and header files
 required to build tools using the libpasswdqc library.

Package: libpam-passwdqc
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.0.1-6)
Recommends: passwdqc
Description: PAM module for password strength policy enforcement
 passwdqc is a password/passphrase strength checking and policy
 enforcement toolset, including a PAM module (libpam-passwdqc),
 command-line programs (pwqcheck and pwqgen), and a library (libpasswdqc).
 .
 pam_passwdqc (optionally) integrates with PAM such that it gets invoked
 when users change their passwords. The module is capable of checking
 password or passphrase strength, enforcing a policy, and offering
 randomly-generated passphrases, with all of these features being
 optional and easily (re-)configurable.

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,pgpsigurlmangle=s/$/.sign/ \
https://www.openwall.com/passwdqc/ (?:.*/)?passwdqc[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## passwdqc 2.0.3

=== debian/changelog ===
passwdqc (2.0.3-3) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.2.
  * Drop Rules-Requires-Root: no.
  * Add B-D on libcrypt-dev.  Closes: #1107062.
  * Bump debian/* copyright years.
  * Use watch v5.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 13 Nov 2025 19:00:38 +0100

passwdqc (2.0.3-2) unstable; urgency=medium

  * d/rules, d/libpam-passwdqc.install:
    - Install pam module in /usr/lib instead of /lib. (Closes: #1061715)
  * d/copyright: Bump years.

 -- Unit 193 <unit193@debian.org>  Tue, 12 Mar 2024 18:57:30 -0400

passwdqc (2.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Unit 193 ]
  * New upstream version 2.0.3.
    - Changed enforce=users to support "chpasswd" PAM service in addition to
      traditionally supported "passwd". (Closes: #1038719)
  * d/copyright: Update years.
  * d/libpasswdqc-dev.install: Install new pkg-config file.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Tue, 27 Jun 2023 00:45:41 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>,
            Unit 193 <unit193@debian.org>
-Build-Depends: debhelper-compat (= 13), libpam-dev
-Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), libcrypt-dev, libpam-dev
+Standards-Version: 4.7.2
 Homepage: https://www.openwall.com/passwdqc/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/passwdqc
 Vcs-Git: https://salsa.debian.org/pkg-security-team/passwdqc.git

=== debian/watch ===
Version: 5
Source: https://www.openwall.com/passwdqc/
Matching-Pattern: (?:.*/)?passwdqc[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Pgpsigurlmangle: s/$/.sign/
Uversionmangle: auto
